Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.rdbm
Class JoinQueryString

    java.lang.Object
      org.jasig.portal.rdbm.JoinQueryString

All Implemented Interfaces:
  IJoinQueryString

Direct Known Subclasses:
  DatabaseMetaDataImpl.JdbcDb, DatabaseMetaDataImpl.OracleDb, DatabaseMetaDataImpl.PostgreSQLDb

    public abstract class JoinQueryString

extends java.lang.Object
implements IJoinQueryString

Partial implemenation of `IJoinQueryString` which provides the implemention of storing and retrieving join queries. It also requires a test query be specified.

Version:
  $Revision: 1.3 $ $Date: 2004/10/17 19:43:49 $
Author:
  Eric Dalquist edalquist@unicon.net

Field Summary
`private java.util.Map` | `queryStrings`
`private java.lang.String` | `testJoin`

Constructor Summary
`protected` | `JoinQueryString(java.lang.String testQuery)` Creates a new `JoinQueryString`.

Method Summary
`void` | `addQuery(java.lang.String key, java.lang.String value)` Adds a query for the specified key, overwriting and query that was already associated with the key.
`java.lang.String` | `getQuery(java.lang.String key)` Gets a query by the specified key.
`protected java.lang.String` | `getTestJoin()` Gets the query to use to test if joins in this class are supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queryStrings

    private final java.util.Map queryStrings

### testJoin

    private final java.lang.String testJoin

Constructor Detail

### JoinQueryString

    protected JoinQueryString(java.lang.String testQuery)

  Creates a new `JoinQueryString`.

  Parameters:
    `testQuery` - The query to use to test if joins in the class are supported.

Method Detail

### getTestJoin

    protected java.lang.String getTestJoin()

  Gets the query to use to test if joins in this class are supported.

  Returns:
    The query to use to test if joins in this class are supported.

### getQuery

    public java.lang.String getQuery(java.lang.String key)
                              throws java.sql.SQLException

  Description copied from interface: `IJoinQueryString`
  Gets a query by the specified key.

  Specified by:
    `getQuery` in interface `IJoinQueryString`
  Parameters:
    `key` - The key to find the query for.
  Returns:
    The query for the key.
  Throws:
    `java.sql.SQLException` - Will be thrown if no query exists for the key
  See Also:
    `IJoinQueryString.getQuery(java.lang.String)`

### addQuery

    public void addQuery(java.lang.String key,
                         java.lang.String value)
                  throws java.sql.SQLException

  Description copied from interface: `IJoinQueryString`
  Adds a query for the specified key, overwriting and query that was already associated with the key.

  Specified by:
    `addQuery` in interface `IJoinQueryString`
  Parameters:
    `key` - The key to store the query under.
    `value` - The query to store under the key.
  Throws:
    `java.sql.SQLException`
  See Also:
    `IJoinQueryString.addQuery(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD